<?php 

	import_file(DIR_LIBRARIES."dompdf/autoload.inc.php");

	use Dompdf\Dompdf;
	
	if (Session::get("tipo_usuario") != "1"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "GET") {
		import_file(DIR_MODELS."Model.class.php");
		import_file(DIR_LIBRARIES."functions.php");

		$sql = encrypt_decode(filter_input(INPUT_GET, "busca", FILTER_SANITIZE_STRING));

		$model = new Model();

		$result = $model->query($sql);

		$html = "
		<!DOCTYPE html>
		<html>
		<head>
			<meta charset='utf-8'>
			<title>Lista de Usuários</title>
			<link href='assets/custom/css/pdf.css' rel='stylesheet'>
		</head>
		<body>
			<h3 class='text-center mb-3'>Lista de Usuários</h3>
			<table border='1' style='width: 100%;'>
				<thead>
					<tr>
						<th style='width: 5%;'>ID</th>
						<th style='width: 25%;'>Nome</th>
						<th style='width: 20%;'>Contato</th>
						<th style='width: 15%;'>Documento</th>
						<th style='width: 12.5%;'>Local</th>
						<th style='width: 10%;'>Tipo</th>
						<th style='width: 12.5%;'>Situação</th>
					</tr>
				</thead>
				<tbody>
		";

		$n = 0;

		foreach ($result->fetchAll() as $dados) {
			if ($dados->tipo_usuario == "Cliente" or $dados->tipo_usuario == "Administrador") {
				if (qualificado($dados->id_usuario)) {
					$status = "<font color='#28a745'>Qualificado</font>";
				}
				else{
					$status = "<font color='#dc3545'>Não Qualificado</font>";
				}
			}
			else{
				$status = "<font color='#343a40'>Sem Situação</font>";
			}

			$html .= "
				<tr>
					<td>".$dados->id_usuario."</td>
					<td>".$dados->nome_usuario."</td>
					<td>
						{$dados->email_usuario}<br>
						{$dados->telefone_usuario}
					</td>
					<td>".$dados->cpf_usuario."</td>
					<td>{$dados->nome_cidade}, {$dados->nome_estado}</td>
					<td>".$dados->tipo_usuario."</td>
					<td>".$status."</td>
				</tr>
			";

			$n++;
		}

		$html .= "
					</tbody>
					<tfoot>
						<tr>
							<td colspan='4' class='text-left'>Total de ".($n)." usuários encontrados</td>
							<td colspan='3' class='text-right'>Data: ".date("d/m/Y H:i:s")."</td>
						</tr>
					</tfoot>
				</table>
			</body>
			</html>
		";

		header("Content-type: application/pdf; charset=utf-8");

		$dompdf = new Dompdf();
		
		$dompdf->loadHtml($html);

		$dompdf->setPaper("A4", "landscape"); // landscape or portrait

		$dompdf->set_option("defaultMediaType", "all");
		$dompdf->set_option("isFontSubsettingEnabled", true);

		$dompdf->render();

		$dompdf->stream(
			"usuarios_".strtotime(date("Y-m-d H:i:s")).".pdf",
			[
				"Attachment" => false
			]
		);
	}
	else{
		show_403();
	}

?>